#
# spec file for package gnome-cups-manager (Version 0.32cvs20060120)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit a2ps aaa_base acl alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups cups-client cups-devel cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel desktop-translations diffutils esound esound-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel foomatic-filters freetype2 freetype2-devel gail gail-devel gail-lang gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-devel gconf2-lang gdbm gettext gettext-devel ghostscript-mini glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-keyring-lang gnome-vfs2 gnome-vfs2-devel gnome-vfs2-lang gnutls gnutls-devel grep groff gtk2 gtk2-devel gzip hal hal-devel hicolor-icon-theme info insserv intltool keyutils-devel keyutils-libs krb5 krb5-devel less libacl libart_lgpl libart_lgpl-devel libasound2 libattr libblkid-devel libblkid1 libbonobo libbonobo-devel libbonobo-lang libbonoboui libbonoboui-devel libbonoboui-lang libbz2-1 libbz2-devel libcom_err-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libext2fs-devel libext2fs2 libgcc42 libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnome-lang libgnomecanvas libgnomecanvas-devel libgnomecanvas-lang libgnomecups libgnomecups-devel libgnomecups-lang libgnomeprint libgnomeprint-devel libgnomeprint-lang libgnomeprintui libgnomeprintui-devel libgnomeprintui-lang libgnomesu libgnomesu-lang libgnomeui libgnomeui-devel libgnomeui-lang libgomp42 libgpg-error libgpg-error-devel libjpeg libjpeg-devel libltdl-3 libmudflap42 libnscd libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbclient libsmbclient-devel libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libusb-devel libuuid-devel libuuid1 libvolume_id libwnck libwnck-1-22 libwnck-devel libwnck-lang libxcrypt libxml2 libxml2-devel libzio licenses linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openslp openssl-certs orbit2 orbit2-devel pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Parser perl-base permissions pkg-config pmtools popt popt-devel pwdutils rpm sed setserial sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           gnome-cups-manager
BuildRequires:  cups cups-devel fdupes gcc-c++ gnome-common gnome-icon-theme gnutls-devel intltool krb5-devel libglade2-devel libgnomecups-devel libgnomeprintui-devel libgnomeui-devel libsmbclient libsmbclient-devel libwnck-devel mDNSResponder-devel perl-XML-Parser update-desktop-files
Version:        0.32cvs20060120
Release:        169.2
Url:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL v2 or later
Summary:        GNOME CUPS Printer Manager
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:        gnome-cups-manager-novell-branded-test-pages.tar.bz2
Source2:        gnome-cups-manager.desktop
Patch0:         suse-smbclient-needs-kerberos.patch
Patch1:         popt-fix.patch
Patch2:         only-once.patch
Patch3:         smb-uri-parser-fix.patch
Patch4:         autodetect-usb-printers.patch
Patch5:         bnc-6238.patch
Patch6:         gnome-cups-manager-suse-lp-group.patch
Patch7:         gnome-cups-manager-154299.patch
Patch8:         gnome-cups-manager-relaxed.patch
Patch9:         gnome-cups-manager-start-icon.patch
Patch10:        gnome-cups-manager-icon-callback.patch
Patch11:        gnome-cups-manager-root-queue.patch
Patch12:        gnome-cups-manager-dbus-icon-103.patch
AutoReqProv:    on
Requires:       gnome-icon-theme
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     cups

%description
CUPS printer manager for GNOME.



%debug_package
%package devel
Group:          System/GUI/GNOME
Summary:        GNOME CUPS Printer Manager
Requires:       %{name} = %{version} libgnomecups-devel glib2-devel gnome-keyring-devel gtk2-devel libgnomeui-devel libgnome-devel libglade2-devel libbonobo-devel libsmbclient-devel

%description devel
CUPS printer manager for GNOME.



%lang_package
%prep
%setup -a 1
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5
%patch6
%patch7 -p1
%patch8 -p1
%patch9 -p1 
%patch10 -p1 
%patch11 -p1 
%patch12 -p1 

%build
rm po/no.*
sed -i "s/\(ALL_LINGUAS.*\) no /\1 /" configure.in
autoreconf -f -i
# needed for gnome-cups-manager-0.32cvs20060120:
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
cp %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/applications/
ln -s ../icons/gnome/48x48/stock/io/stock_printers.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
%suse_update_desktop_file gnome-cups-manager X-SuSE-PrintingUtility X-SuSE-ControlCenter-Hardware
%find_lang %{name}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*
%{_libdir}/bonobo/servers/*.server
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-cups-manager
%{_datadir}/icons/hicolor/48x48/*/*.*
%{_datadir}/icons/hicolor/48x48/*/*/*.*
%{_datadir}/pixmaps/*
%{_sysconfdir}/xdg/autostart/*

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libgnomecups-1/libgnomecups/*

%changelog
* Mon Dec 17 2007 - crivera@suse.de
- Add gnome-cups-manager-dbus-icon-103.patch.  This removes polling
  from gnome-cups-icon in favor of DBUS signals for queue changing
  notification. This fixes 345163.
* Fri Nov 30 2007 - crivera@suse.de
- Add gnome-cups-manager-root-queue.patch to make menu items
  sensitive if we are running as root.
- Add gnome-cups-manager-icon-callback.patch to fix a hang when
  attempting to pause a printer from gnome-cups-icon.
* Tue Aug 14 2007 - crivera@suse.de
- Add gnome-cups-manager-start-icon.patch, which will start
  gnome-cups-icon when a user logs into a GNOME session.
* Mon Aug 13 2007 - crivera@suse.de
- Update gnome-cups-manager-relaxed.patch to fix a threading
  issue that prevented the authentication dialog from displaying.
* Wed Aug 08 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun (which was
  added in this submission).
* Fri Aug 03 2007 - crivera@suse.de
- Add gnome-cups-manager-relaxed.patch.  This removes the "admin"
  widgets and relies on the relaxed cups policy.  This allows
  normal users to pause, resume, add, and remove printers.
* Wed Mar 07 2007 - crivera@suse.de
- Change the font used for the printer test pages.
  This fixes 245399.
* Wed Feb 07 2007 - sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Fri Dec 29 2006 - james@usr-local-bin.org
- Fix prefix in configure
* Wed Sep 27 2006 - jhargadon@suse.de
- Added cups to Recommends in the specfile to resolve bug #208210
* Sat Sep 02 2006 - gekker@suse.de
- Fix to build against new gnome-icon-theme
* Thu Jul 06 2006 - aj@suse.de
- Fix build.
* Tue Jun 06 2006 - lewing@suse.de
- Listen to property changes in the printer properties page.
  (bnc #154299)
* Tue May 23 2006 - joeshaw@suse.de
- Add a patch to allow users who are in the lp group to administer
  printers.  (bnc #162615)
* Fri May 12 2006 - fejj@suse.de
- Added bnc-6238.patch to the build to allow users to install gzipped
  prinetr driver files.
* Thu Apr 13 2006 - sbrabec@suse.cz
- Call %%suse_update_desktop_file.
- Use new control-center Categories instead of illegal old ones.
* Mon Apr 10 2006 - gekker@suse.de
- Remove cups-backends from Requires:, no longer needed
* Thu Apr 06 2006 - fejj@suse.de
- Added autodetect-usb-printers.patch - needed to work around the
  fact that CUPS is broken and doesn't detect newly plugged-in usb
  printers without a restart of the daemon. This patch is needed so
  that available usb printers appear in the gnome-cups-add printer
  list (since we are dropping hal because yast2's printer wizard
  breaks if the user configures some printers via yast2 and some
  via GNOME).
* Mon Apr 03 2006 - joeshaw@suse.de
- Fix "quarter" typo in the US letter test page.  (bnc #9535)
* Thu Mar 30 2006 - fejj@suse.de
- Fixed a crash in smb-uri-parser-fix.patch (bug #161045)
* Tue Mar 28 2006 - danw@suse.de
- Fix a sometimes crash in only-once.patch
* Wed Mar 01 2006 - fejj@suse.de
- Added smb-uri-parser-fix.patch to finish fixing bug #146845
* Thu Feb 23 2006 - fejj@suse.de
- Added only-once.patch to address bug #146845
* Wed Feb 01 2006 - fejj@suse.de
- Added popt-fix.patch to fix a crash parsing args
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - fejj@suse.de
- Removed the uninited.patch since ti is no longer required
* Mon Jan 23 2006 - fejj@suse.de
- Fixed spec file to require cups-backends
* Fri Jan 20 2006 - fejj@suse.de
- Updated to 0.32cvs20060120
* Mon Dec 05 2005 - lmuelle@suse.de
- Revert libsmbclient renameing.
* Mon Nov 14 2005 - lmuelle@suse.de
- Use samba-libs instead of libsmbclient.
* Tue Sep 20 2005 - sbrabec@suse.cz
- Fixed devel dependencies.
* Tue Sep 06 2005 - gekker@suse.de
- Update to version 0.31 (GNOME 2.12)
- Fix use of uninitialized variable
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed desktop Name (#86632).
- Fixed devel requirements.
* Mon May 23 2005 - sbrabec@suse.cz
- Use stock_printers as icon.
* Fri May 20 2005 - sbrabec@suse.cz
- Removed kdesu patch, use gnomesu.
- Added X-Ximian-Settings to desktop file.
* Wed Mar 16 2005 - clahey@suse.de
- Add desktop file for gnome-cups-manager.
* Tue Mar 08 2005 - jody@suse.de
- upstream release of 0.30
- Fix crash during renaming
- fix crash when restarting cupsd
- improve ipp make/model recognition
* Tue Dec 14 2004 - jody@suse.de
- upstream release of 0.28
- rerun intltoolize
- remove the GNOME_WARNINGS that were causing trouble
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Thu Nov 18 2004 - ro@suse.de
- use kerberos-devel-packages
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Oct 04 2004 - jody@suse.de
- upstream release of 0.27 & 0.26
- No crash on cupsd restart #65946
- Missing emblem for pause and default #63019
- more admin handling #64409, #65660
- become admin button for the printer list #66607
- Cleanup driver and model names #57793
- Avoid race to load connection info #64538
- More translations
* Mon Sep 13 2004 - jody@suse.de
- upstream release of 0.25
- launch prop dialog after creation
- improve layout of connection and driver selection
- only admin can pause/resume
- Improve icon selection
- Only provide status as an option when it makes sense
- Handle translated ppds in some instances
* Tue Aug 24 2004 - jody@suse.de
- upstream release of 0.24
- Finish the connector editor widget
- Improvements to kdesu wrapper
- fix spec file to enable smb browsing
* Wed Aug 18 2004 - jody@suse.de
- upstream release of 0.23
- Patches for 61677, 62247, 62251, 62815, 62814, 61680
- Patches for upstream 149226, 149545, 149546
- There are known issues with smb browsing authenticating too often
* Sat Jul 31 2004 - jody@suse.de
- new release 0.22 with menu patches and improves ipp ids
* Tue Jul 27 2004 - jody@suse.de
- Jump to 0.20 to get the smb patches
* Mon Jul 26 2004 - ro@suse.de
- added missing directory to filelist
* Fri Jul 16 2004 - jody@suse.de
- Testing release of 0.19 to get the browser and layout enhancements
* Tue May 18 2004 - sbrabec@suse.cz
- New SuSE package, version 0.17.
